Parameters
JSON body
Request body
application/jsonidnumberRequirednamestringOptionalLength: 1–64
isSharedbooleanOptionalfiltersobjectOptionalGrid filter state. Non-identifier keys, nested values and empty strings are dropped server-side.
Rename, share / unshare or overwrite the filters of a saved view. Owner or org root only.
JSON body
idnumberRequirednamestringOptionalisSharedbooleanOptionalfiltersobjectOptionalGrid filter state. Non-identifier keys, nested values and empty strings are dropped server-side.
1 status code documented
state"ok"Required{
"state": "ok"
}POST /bff/grid-view/update
curl -X POST "https://api.bizkithub.com/bff/grid-view/update" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"id": 0,
"name": "example_name",
"isShared": false,
"filters": {}
}'All BizKitHub public API endpoints require authentication via API key.